function twoplanets()
 disp(['Starting at:   '  datestr(now)])
 clear all
 p.m1 =1;   p.m2 =2; p.G = 1;        
 tspan=[0 50];   n=2000;
 
 r0 = [1 0 -1 0]';   % x and y components of both masses
 v0 = [0 -.2  0  +.2]'; % x and y components   
 z0 = [r0; v0];
 
 %Call the ODE solver
 [tarray zarray] = rk2('twoplanetsrhs', tspan,z0,n,p);

  x1  = zarray(:,1);  y1 = zarray(:,2);
  x2  = zarray(:,3);  y2 = zarray(:,4);
  vx1 = zarray(:,5);
  
 figure(1); plot(x1,y1,0,0,'r*', x2, y2);  axis('equal')
 figure(2); plot(tarray,x1)
 shg;   % SHow Graphs (bring graphics windows on top)
 disp(['Ending   at:   '  datestr(now)])
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

